Package org.apache.cayenne.template.parser

## Class ASTArray

- java.lang.Object
- - org.apache.cayenne.template.parser.SimpleNode
  - - org.apache.cayenne.template.parser.ASTExpression
    - - org.apache.cayenne.template.parser.ASTArray

- All Implemented Interfaces:
    `ExpressionNode`, `Node`

      public class ASTArray
      extends ASTExpression

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.template.parser.SimpleNode

      `children, id, parent`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ASTArray​(int id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `evaluate​(Context context)` |
    `protected Object[]` | `evaluateAsArray​(Context context)` |
    `Object` | `evaluateAsObject​(Context context)` |
    `String` | `evaluateAsString​(Context context)` |

    - ### Methods inherited from class org.apache.cayenne.template.parser.ASTExpression

      `evaluateAsBoolean, evaluateAsDouble, evaluateAsLong, getChildAsExpressionNode`

    - ### Methods inherited from class org.apache.cayenne.template.parser.SimpleNode

      `dump, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ASTArray

          public ASTArray​(int id)

  - ### Method Detail

    - #### evaluate

          public void evaluate​(Context context)

      Specified by:
        `evaluate` in interface `Node`
      Overrides:
        `evaluate` in class `ASTExpression`

    - #### evaluateAsString

          public String evaluateAsString​(Context context)

      Specified by:
        `evaluateAsString` in interface `ExpressionNode`
      Overrides:
        `evaluateAsString` in class `ASTExpression`

    - #### evaluateAsObject

          public Object evaluateAsObject​(Context context)

      Specified by:
        `evaluateAsObject` in interface `ExpressionNode`
      Overrides:
        `evaluateAsObject` in class `ASTExpression`

    - #### evaluateAsArray

          protected Object[] evaluateAsArray​(Context context)